summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJonathan Bauer2020-06-02 12:41:53 +0200
committerJonathan Bauer2020-06-02 12:41:53 +0200
commita260be1a413fb40e974c9d55f3d7816359ff330c (patch)
tree80d89f5ba3375086611a2ee1b97af201147481f2
parent[dnbd3-rootfs] modprobe xloop (diff)
downloadsystemd-init-a260be1a413fb40e974c9d55f3d7816359ff330c.tar.gz
systemd-init-a260be1a413fb40e974c9d55f3d7816359ff330c.tar.xz
systemd-init-a260be1a413fb40e974c9d55f3d7816359ff330c.zip
[dnbd3-rootfs] use xlosetup for dnbd3 image
-rwxr-xr-xmodules.d/dnbd3-rootfs/hooks/prepare-root-partition.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/modules.d/dnbd3-rootfs/hooks/prepare-root-partition.sh b/modules.d/dnbd3-rootfs/hooks/prepare-root-partition.sh
index 88a4b70b..a579d49d 100755
--- a/modules.d/dnbd3-rootfs/hooks/prepare-root-partition.sh
+++ b/modules.d/dnbd3-rootfs/hooks/prepare-root-partition.sh
@@ -37,7 +37,7 @@ container_unpack_xmount() {
container_unpack_losetup() {
local in_device="$1"
local out_device="$(losetup -f)"
- if ! losetup -r -t QCOW "$out_device" "$in_device" --partscan; then
+ if ! xlosetup -r -t QCOW "$out_device" "$in_device" --partscan; then
warn "Failed to attach '$in_device' to '$out_device'."
return
fi